<template>
  <section section="footer" class="fs__container">
    <div class="fs__menu">
      <a class="fs__menu-item">{{ $t('app.home.footer.privacy-policy') }}</a>
      <a class="fs__menu-item">{{ $t('app.home.footer.covid-policy') }}</a>
      <a class="fs__menu-item">{{ $t('app.home.footer.site-map') }}</a>
    </div>
    <div class="fs__social-container" :title="$t('app.home.footer.whatsapp')">
      <a href="https://wa.me/34656830204" class="fs__social">
        <font-awesome-icon :icon="['fab', 'whatsapp']" />
      </a>
      <a href="https://wa.me/34" class="fs__social" :title="$t('app.home.footer.twitter')">
        <font-awesome-icon :icon="['fab', 'twitter']" />
      </a>
      <a href="https://wa.me/34" class="fs__social" :title="$t('app.home.footer.facebook')">
        <font-awesome-icon :icon="['fab', 'facebook']" />
      </a>
      <a href="https://wa.me/34" class="fs__social" :title="$t('app.home.footer.instagram')">
        <font-awesome-icon :icon="['fab', 'instagram']" />
      </a>
    </div>
  </section>
</template>

<script>
export default {
  name: 'Footer',
};
</script>

<style lang="scss" scoped>
.fs__container {
  background-color: white;
}

.fs__social-container {
  @include flex(row, flex-end, center);
}

.fs__social {
  font-size: xx-large;
  margin: .5rem 1rem 1rem 0;
}

.fs__menu {
  @include desktop {
    @include flex(row, center, center);
    margin: 3rem 0 3rem 0;
  }
  @include mobile {
    @include flex(column, flex-start);
    margin: 1rem 0 2rem 1rem;
  }
}

.fs__menu-item {
  @include desktop {
    margin-right: 4rem;
  }
  @include mobile {
    margin-top: .5rem;
  }
  font-size: larger;
}
</style>
